## obexpushd 0.4+svn10

=== Makefile ===

.PHONY: all
all: src-all doc-all

src-%:
	@$(MAKE) -C src $*

doc-%:
	@$(MAKE) -C doc $*

.PHONY: install
install: src-install doc-install

.PHONY: clean
clean: src-clean doc-clean

=== doc/Makefile ===
INSTALL=install
XMLTO=xmlto

prefix=/usr/local
mandir=${prefix}/share/man

BINARY=obexpushd
MANSECT=1

.PHONY: all
all: man

.PHONY: man
man: $(BINARY).$(MANSECT)
%.1: %.xml
	$(XMLTO) man $^

.PHONY: html
html: $(BINARY).html
%.html: %.xml
	$(XMLTO) xhtml-nochunks $^

.PHONY: install
install:
	$(INSTALL) -d $(DESTDIR)$(mandir)/man$(MANSECT)
	$(INSTALL) -m 644 $(BINARY).$(MANSECT) $(DESTDIR)$(mandir)/man$(MANSECT)

.PHONY: clean
clean:
	rm -f *.$(MANSECT) *.html *~

=== src/Makefile ===
INSTALL=install
PKGCONFIG=pkg-config

prefix=/usr/local
bindir=${prefix}/bin

MYCFLAGS=-g -W -Wall -pedantic -std=c99

obexpushd_CFLAGS=$(shell $(PKGCONFIG) --cflags openobex bluez)
obexpushd_LIBS=$(shell $(PKGCONFIG) --libs openobex bluez)
obexpushd_OBJECTS=obexpush-sdp.o obexpushd.o obex_auth.o md5.o utf.o

BINARY=obexpushd

.PHONY: all
all: $(BINARY) $(MANPAGE)

ifneq ($(MAKECMDGOALS),clean)
include .dependencies
endif

.PHONY: depend
depend:
	$(CC) $(CFLAGS) -MM $(SOURCES) >.dependencies

SOURCES=$(wildcard *.c)
HEADERS=$(wildcard *.h)
.dependencies: $(SOURCES) $(HEADERS)
	$(CC) $(CFLAGS) -MM $(SOURCES) >$@

%.o: %.c
	$(CC) $(MYCFLAGS) $(CFLAGS) -c -o $@ $<

obexpushd: $(obexpushd_OBJECTS)
	$(CC) $(MYCFLAGS) $(obexpushd_CFLAGS) $(CFLAGS) -o $@ $^ $(LDFLAGS) $(LIBS) $(obexpushd_LIBS)

.PHONY: install
install:
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) -m 755 $(BINARY) $(DESTDIR)$(bindir)

.PHONY: clean
clean:
	rm -f $(BINARY) *.o *~ .dependencies

## obexpushd 0.5

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 INSTALL=install
-XMLTO=xmlto
+XMLTO=xmlto -vv
 
 prefix=/usr/local
 mandir=${prefix}/share/man

=== src/Makefile ===
--- 
+++ 
@@ -6,9 +6,12 @@
 
 MYCFLAGS=-g -W -Wall -pedantic -std=c99
 
+SOURCES=$(wildcard *.c)
+HEADERS=$(wildcard *.h)
+
 obexpushd_CFLAGS=$(shell $(PKGCONFIG) --cflags openobex bluez)
 obexpushd_LIBS=$(shell $(PKGCONFIG) --libs openobex bluez)
-obexpushd_OBJECTS=obexpush-sdp.o obexpushd.o obex_auth.o md5.o utf.o
+obexpushd_OBJECTS=$(patsubst %.c, %.o,$(SOURCES))
 
 BINARY=obexpushd
 
@@ -23,8 +26,6 @@
 depend:
 	$(CC) $(CFLAGS) -MM $(SOURCES) >.dependencies
 
-SOURCES=$(wildcard *.c)
-HEADERS=$(wildcard *.h)
 .dependencies: $(SOURCES) $(HEADERS)
 	$(CC) $(CFLAGS) -MM $(SOURCES) >$@

=== src/helper/Makefile ===
INSTALL=install
PKGCONFIG=pkg-config

prefix=/usr/local
bindir=${prefix}/bin

APP_FLAG=-DAPP
MYCFLAGS=-g -W -Wall -pedantic -std=c99
OBJEXT=o

#Windows:
#LIBS=-lshlwapi
#EXEEXT=.exe

BINARY=obex-folder-listing$(EXEEXT) obex-capability$(EXEEXT)

.PHONY: all
all: $(BINARY)

ifneq ($(MAKECMDGOALS),clean)
include .dependencies
endif

.PHONY: depend
depend:
	$(CC) $(CFLAGS) -MM $(wildcard *.c) >.dependencies

.dependencies: $(wildcard *.c) $(wildcard *.h)
	$(CC) $(CFLAGS) -MM $(wildcard *.c) >$@

%.$(OBJEXT): %.c
	$(CC) $(MYCFLAGS) $(CFLAGS) $(APP_FLAG) -c -o $@ $<

%$(EXEEXT): %.$(OBJEXT)
	$(CC) $(MYCFLAGS) $(CFLAGS) -o $@ $^ $(LDFLAGS) $(LIBS)

.PHONY: %-create
%-create:
	$(INSTALL) -d $(DESTDIR)$*

.PHONY: %-install
%-bindir-install:
	$(INSTALL) -m 755 $* $(DESTDIR)$(bindir)

.PHONY: install
install: bindir-create $(patsubst %,%-bindir-install,$(BINARY))

.PHONY: clean
clean:
	rm -f $(BINARY) *.o *~ .dependencies

## obexpushd 0.6

=== CMakeLists.txt ===
project ( obexpushd C )

set ( VERSION_MAJOR 0 )
set ( VERSION_MINOR 6 )
set ( VERSION_PATCH 0 )
set ( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}" )
if ( VERSION_PATCH GREATER 0 )
  set ( VERSION "${VERSION}.${VERSION_PATCH}" )
endif ( VERSION_PATCH GREATER 0 )

cmake_minimum_required ( VERSION 2.4.7 )

if ( NOT CMAKE_BUILD_TYPE )
  set ( CMAKE_BUILD_TYPE Release
        CACHE STRING "Choice of a predefined CMake ruleset" FORCE)
endif ( NOT CMAKE_BUILD_TYPE )

add_subdirectory ( src )
add_subdirectory ( doc )

install (
  FILES       README LICENSE GPLv2.txt
  DESTINATION share/doc/${PROJECT_NAME}
  PERMISSIONS OWNER_READ OWNER_WRITE
              GROUP_READ
              WORLD_READ
)

#
# Settings for CPack
#
set ( CPACK_PACKAGE_DESCRIPTION_SUMMARY "ObexPush Server" )
set ( CPACK_PACKAGE_VENDOR "Hendrik Sattler" )
set ( CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README" )

set ( CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE" )
set ( CPACK_RESOURCE_FILE_README  "${CMAKE_CURRENT_SOURCE_DIR}/README" )

#setting only CPACK_PACKAGE_VERSION does not work (cmake-2.4.5)
set ( CPACK_PACKAGE_VERSION_MAJOR "${VERSION_MAJOR}" )
set ( CPACK_PACKAGE_VERSION_MINOR "${VERSION_MINOR}" )
set ( CPACK_PACKAGE_VERSION_PATCH "${VERSION_PATCH}" )
set ( CPACK_PACKAGE_VERSION       "${VERSION}" )

execute_process (
  COMMAND         ${CMAKE_C_COMPILER} -dumpmachine
  OUTPUT_VARIABLE CPACK_SYSTEM_NAME
)
string ( REGEX REPLACE "[\r\n]" "" CPACK_SYSTEM_NAME ${CPACK_SYSTEM_NAME} )

#fix a messed-up cmake default value for package naming
set ( CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}" )
if ( CPACK_SYSTEM_NAME )
    set ( CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_FILE_NAME}_${CPACK_SYSTEM_NAME}" )
endif ( CPACK_SYSTEM_NAME )
set ( CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}-source" )

if ( UNIX )
    set ( CPACK_GENERATOR "TGZ" )
    set ( CPACK_SOURCE_GENERATOR "TGZ" )
endif ( UNIX )
set ( CPACK_SOURCE_IGNORE_FILES
  "~$"
  "/\\\\.svn/"
  "/build/"
)

# this must _follow_ the settings!
include ( CPack )

=== Makefile ===
all: build-all

build-%: build/CMakeCache.txt
	cd build && $(MAKE) $*

install: build-install

clean: build-clean

distclean: build
	rm -rf build

build/CMakeCache.txt:
	./configure

.PHONY: all install clean distclean

=== doc/CMakeLists.txt ===

set ( CMAKE_MODULE_PATH
  ${CMAKE_CURRENT_SOURCE_DIR}
)

find_package ( XmlTo )

xmlto (
  obexpushd.xml
  MODES man html
  ALL
)

foreach ( file ${XMLTO_FILES_man} )
  get_filename_component ( fileExt ${file} EXT )
  string ( REGEX REPLACE "^[.]" "" fileExt ${fileExt} )
  INSTALL (
    FILES ${file}
    DESTINATION share/man/man${fileExt}
    PERMISSIONS OWNER_READ OWNER_WRITE
                GROUP_READ
                WORLD_READ
  )
endforeach ( file ${XMLTO_FILES_man} )
install (
  FILES ${XMLTO_FILES_html}
  DESTINATION share/doc/${PROJECT_NAME}
  PERMISSIONS OWNER_READ OWNER_WRITE
              GROUP_READ
              WORLD_READ
)

=== src/CMakeLists.txt ===
set ( OBEXPUSHD_VERSION ${VERSION} )
configure_file (
  ${CMAKE_CURRENT_SOURCE_DIR}/version.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package ( PkgConfig )
foreach ( i openobex bluez )
  pkg_check_modules ( ${i} REQUIRED ${i} )
  include_directories ( ${${i}_INCLUDE_DIRS} )
  link_directories ( ${${i}_LIBRARY_DIRS} )
endforeach ( i OPENOBEX BLUEZ )

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

list ( APPEND SOURCES
  obexpushd.c
  obexpush-sdp.c
  obex_auth.c
  md5.c
  data_io.c
  put.c
  get.c
  checks.c
  utf.c
  net/auth.c
  net/core.c
  net/btobex.c
  net/irobex.c
)

include ( CheckFunctionExists )
message( STATUS "Checking capabilities of OpenObex..." )
set ( CMAKE_REQUIRED_FLAGS ${openobex_CFLAGS} )
set ( CMAKE_REQUIRED_DEFINITIONS )
set ( CMAKE_REQUIRED_INCLUDES ${openobex_INLUDE_DIRS} )
set ( CMAKE_REQUIRED_LIBRARIES ${openobex_LINK_FLAGS} )
check_function_exists ( TcpOBEX_ServerRegister USE_TCPOBEX )
if ( USE_TCPOBEX )
  list ( APPEND SOURCES net/tcpobex.c )
  add_definitions ( -DOPENOBEX_TCPOBEX=1 )
else ( USE_TCPOBEX )
  list ( APPEND SOURCES net/inobex.c )
endif ( USE_TCPOBEX )

add_executable ( obexpushd
   ${SOURCES}
)
target_link_libraries ( obexpushd
  ${openobex_LIBRARIES}
  ${bluez_LIBRARIES}
)
set_target_properties ( obexpushd PROPERTIES
  COMPILE_FLAGS "${openobex_CFLAGS_OTHERS} ${bluez_CFLAGS_OTHERS}"
  LINK_FLAGS "${openobex_LDFLAGS_OTHERS} ${bluez_LDFLAGS_OTHERS}"
)
install (
  TARGETS obexpushd
  RUNTIME DESTINATION bin
  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
              GROUP_READ             GROUP_EXECUTE
	      WORLD_READ             WORLD_EXECUTE
)

set ( CPACK_PACKAGE_EXECUTABLES "obexpushd" )
if ( UNIX )
    set ( CPACK_STRIP_FILES "bin/obexpushd" )
endif ( UNIX )

=== src/x-obex/CMakeLists.txt ===
project ( x-obex C )

if ( NOT CMAKE_BUILD_TYPE )
  set ( CMAKE_BUILD_TYPE Release
        CACHE STRING "" FORCE )
endif ( NOT CMAKE_BUILD_TYPE )

option ( BUILD_SHARED_LIBS "Build shared libraries instead of static ones." ON )

if (WIN32 AND NOT UNIX)
  link_libraries ( shlwapi )
endif (WIN32 AND NOT UNIX)

foreach ( type capability folder-listing )
  add_library ( obex-${type}-lib
    obex-${type}.c
  )
  set_target_properties ( obex-${type}-lib
    PROPERTIES
      OUTPUT_NAME "obex-${type}"
  )

  add_executable ( obex-${type}
    obex-${type}-app.c
  )
  target_link_libraries ( obex-${type}
    obex-${type}-lib
  )
endforeach ( type )

## obexpushd 0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project ( obexpushd C )
 
 set ( VERSION_MAJOR 0 )
-set ( VERSION_MINOR 6 )
+set ( VERSION_MINOR 7 )
 set ( VERSION_PATCH 0 )
 set ( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}" )
 if ( VERSION_PATCH GREATER 0 )
@@ -12,15 +12,21 @@
 
 if ( NOT CMAKE_BUILD_TYPE )
   set ( CMAKE_BUILD_TYPE Release
-        CACHE STRING "Choice of a predefined CMake ruleset" FORCE)
+        CACHE STRING "Choice of a predefined CMake ruleset" FORCE )
 endif ( NOT CMAKE_BUILD_TYPE )
 
 add_subdirectory ( src )
+
+if ( NOT DOCUMENTS_DIRECTORY )
+  set ( DOCUMENTS_DIRECTORY "share/doc/${PROJECT_NAME}"
+        CACHE PATH "Where documentation files are copied to on installation" FORCE )
+endif ( NOT DOCUMENTS_DIRECTORY )
+
 add_subdirectory ( doc )
 
 install (
   FILES       README LICENSE GPLv2.txt
-  DESTINATION share/doc/${PROJECT_NAME}
+  DESTINATION "${DOCUMENTS_DIRECTORY}"
   PERMISSIONS OWNER_READ OWNER_WRITE
               GROUP_READ
               WORLD_READ

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 endforeach ( file ${XMLTO_FILES_man} )
 install (
   FILES ${XMLTO_FILES_html}
-  DESTINATION share/doc/${PROJECT_NAME}
+  DESTINATION "${DOCUMENTS_DIRECTORY}"
   PERMISSIONS OWNER_READ OWNER_WRITE
               GROUP_READ
               WORLD_READ

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
   pkg_check_modules ( ${i} REQUIRED ${i} )
   include_directories ( ${${i}_INCLUDE_DIRS} )
   link_directories ( ${${i}_LIBRARY_DIRS} )
-endforeach ( i OPENOBEX BLUEZ )
+endforeach ( i )
 
 include_directories (
   ${CMAKE_CURRENT_SOURCE_DIR}
@@ -37,7 +37,7 @@
 set ( CMAKE_REQUIRED_FLAGS ${openobex_CFLAGS} )
 set ( CMAKE_REQUIRED_DEFINITIONS )
 set ( CMAKE_REQUIRED_INCLUDES ${openobex_INLUDE_DIRS} )
-set ( CMAKE_REQUIRED_LIBRARIES ${openobex_LINK_FLAGS} )
+set ( CMAKE_REQUIRED_LIBRARIES ${openobex_LDFLAGS} )
 check_function_exists ( TcpOBEX_ServerRegister USE_TCPOBEX )
 if ( USE_TCPOBEX )
   list ( APPEND SOURCES net/tcpobex.c )

## obexpushd 0.10.2

=== CMakeLists.txt ===
cmake_minimum_required ( VERSION 2.6.3 FATAL_ERROR )
project ( obexpushd NONE )

set ( VERSION_MAJOR 0 )
set ( VERSION_MINOR 10 )
set ( VERSION_PATCH 2 )
set ( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}" )
if ( VERSION_PATCH GREATER 0 )
  set ( VERSION "${VERSION}.${VERSION_PATCH}" )
endif ( VERSION_PATCH GREATER 0 )

list ( APPEND CMAKE_MODULE_PATH
  ${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules
)

enable_language ( C )
include ( MaintainerMode )
if ( CMAKE_COMPILER_IS_GNUCC )
  set ( C_COMPILER_FLAGS
    std=c99
  )
  foreach ( flag ${C_COMPILER_FLAGS} )
    set ( cflag "-${flag}" )
    set ( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${cflag}" )
    foreach ( type DEBUG RELEASE MINSIZEREL RELWITHDEBINFO )
      set ( CMAKE_C_FLAGS_${type} "${CMAKE_C_FLAGS_${type}} ${cflag}" )
    endforeach ( type )
  endforeach ( flag )
endif ( CMAKE_COMPILER_IS_GNUCC )
add_definitions ( -D_GNU_SOURCE )

if ( NOT CMAKE_BUILD_TYPE )
  set ( CMAKE_BUILD_TYPE Release
        CACHE STRING "Choice of a predefined CMake ruleset" FORCE )
endif ( NOT CMAKE_BUILD_TYPE )

if ( NOT MANPAGE_INSTALL_DIR )
  set ( MANPAGE_INSTALL_DIR "share/man"
    CACHE PATH "Where documentation files are copied to on installation" FORCE )
endif ( NOT MANPAGE_INSTALL_DIR )
if ( NOT DOCUMENTATION_INSTALL_DIR )
  set ( DOCUMENTATION_INSTALL_DIR "share/doc/${PROJECT_NAME}"
    CACHE PATH "Where documentation files are copied to on installation" FORCE )
endif ( NOT DOCUMENTATION_INSTALL_DIR )

add_subdirectory ( src )
add_subdirectory ( doc )

install (
  FILES       README LICENSE GPLv2.txt
  DESTINATION "${DOCUMENTATION_INSTALL_DIR}"
  PERMISSIONS OWNER_READ OWNER_WRITE
              GROUP_READ
              WORLD_READ
)

#
# Settings for CPack
#
set ( CPACK_PACKAGE_DESCRIPTION_SUMMARY "ObexPush Server" )
set ( CPACK_PACKAGE_VENDOR "Hendrik Sattler" )
set ( CPACK_PACKAGE_CONTACT "Hendrik Sattler <post@hendrik-sattler.de>" )
set ( CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README" )

set ( CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE" )
set ( CPACK_RESOURCE_FILE_README  "${CMAKE_CURRENT_SOURCE_DIR}/README" )

#setting only CPACK_PACKAGE_VERSION does not work (cmake-2.4.5)
set ( CPACK_PACKAGE_VERSION_MAJOR "${VERSION_MAJOR}" )
set ( CPACK_PACKAGE_VERSION_MINOR "${VERSION_MINOR}" )
set ( CPACK_PACKAGE_VERSION_PATCH "${VERSION_PATCH}" )
set ( CPACK_PACKAGE_VERSION       "${VERSION}" )

#the compiler may have a better idea of what the target is
if ( CMAKE_COMPILER_IS_GNUCC )
  execute_process (
    COMMAND         ${CMAKE_C_COMPILER} -dumpmachine
    OUTPUT_VARIABLE CPACK_SYSTEM_NAME
  )
  string ( REGEX REPLACE "[\r\n]" "" CPACK_SYSTEM_NAME ${CPACK_SYSTEM_NAME} )
else ( CMAKE_COMPILER_IS_GNUCC )
  set ( CPACK_SYSTEM_NAME "${CMAKE_SYSTEM_NAME}" )
endif ( CMAKE_COMPILER_IS_GNUCC )

set ( CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}" )

#different cpack generators need different package names
set ( CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_FILE_NAME}-source" )
set ( CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_FILE_NAME}_${CPACK_SYSTEM_NAME}" )

if ( UNIX )
    set ( CPACK_GENERATOR "TGZ" )
    set ( CPACK_SOURCE_GENERATOR "TGZ" )
endif ( UNIX )
set ( CPACK_SOURCE_IGNORE_FILES
  "~$"
  "/\\\\.git/"
  "/build/"
)

# this must _follow_ the settings!
include ( CPack )

=== src/CMakeLists.txt ===
#
# ObexPush server daemon
#
list ( APPEND SOURCES
  obexpushd.c
  checks.c
  utf.c
  action/core.c
  action/connect.c
  action/disconnect.c
  action/get.c
  action/put.c
  action/setpath.c
  auth/core.c
  auth/file.c
  io/core.c
  io/pipe.c
  io/file.c
  io/script.c
  net/core.c
  net/btobex.c
  net/publish/sdp.c
  net/irobex.c
)

add_subdirectory ( x-obex )

set ( OBEXPUSHD_VERSION ${VERSION} )
configure_file (
  ${CMAKE_CURRENT_SOURCE_DIR}/version.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

foreach ( i Bluetooth OpenObex )
  find_package ( ${i} REQUIRED )
  include_directories ( ${${i}_INCLUDE_DIRS} )
endforeach ( i )

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

set ( ENABLE_USB_GADGET_SUPPORT OFF )
if ( CMAKE_SYSTEM_NAME STREQUAL "Linux" )
  set ( ENABLE_USB_GADGET_SUPPORT ON )
endif ( CMAKE_SYSTEM_NAME STREQUAL "Linux" )
if ( ENABLE_USB_GADGET_SUPPORT )
  list ( APPEND obexpushd_DEFINITIONS USB_GADGET_SUPPORT )
  list ( APPEND SOURCES net/usbgobex.c )  
endif ( ENABLE_USB_GADGET_SUPPORT )

if ( OpenObex_HAVE_TcpObex )
  list ( APPEND obexpushd_DEFINITIONS OPENOBEX_TCPOBEX=1 )
  list ( APPEND SOURCES net/tcpobex.c )
else ( OpenObex_HAVE_TcpObex )
  list ( APPEND SOURCES net/inobex.c )
endif ( OpenObex_HAVE_TcpObex )

option ( USE_SPAWN "Use POSIX spawn function instead of fork+exec" ON )
if ( USE_SPAWN )
  list ( APPEND obexpushd_DEFINITIONS USE_SPAWN )
endif ( USE_SPAWN )

option ( USE_THREADS "Use POSIX threads instead of fork (if supported by system)" ON )
if ( USE_THREADS )
  find_package ( Threads )
  if ( CMAKE_USE_PTHREADS_INIT )
    list ( APPEND obexpushd_DEFINITIONS USE_THREADS )
    find_library ( THREAD_LIBRARY pthread )
    mark_as_advanced ( THREAD_LIBRARY )
  endif ( CMAKE_USE_PTHREADS_INIT )
endif ( USE_THREADS )

#option ( ENABLE_AVAHI "Use the avahi-client library to publish the service" OFF )
#if ( ENABLE_AVAHI )
#  find_package ( AvahiClient )
#endif ( ENABLE_AVAHI )
#if ( AvahiClient_FOUND )
#  include_directories ( ${AvahiClient_INCLUDE_DIRS} )
#  list ( APPEND obexpushd_DEFINITIONS ENABLE_AVAHI )
#  list ( APPEND SOURCES net/publish/avahi.c )
#endif ( AvahiClient_FOUND )

option ( ENABLE_TCPWRAP "Use the tcp wrapper library to check for restrictions on incoming connections" ON )
if ( ENABLE_TCPWRAP )
  find_package ( TcpWrap )
endif ( ENABLE_TCPWRAP )
if ( TcpWrap_FOUND )
  include_directories ( ${TcpWrap_INCLUDE_DIRS} )
  list ( APPEND obexpushd_DEFINITIONS ENABLE_TCPWRAP )
endif ( TcpWrap_FOUND )

add_subdirectory ( obex_auth )

add_executable ( obexpushd ${SOURCES} )
target_link_libraries ( obexpushd
  obex_auth
  obex-capability
  obex-folder-listing
  ${OpenObex_LIBRARIES}
  ${Bluetooth_LIBRARIES}
  ${THREAD_LIBRARY}
)
#if ( AvahiClient_FOUND )
#  target_link_libraries ( obexpushd
#    ${AvahiClient_LIBRARIES}
#  )
#endif ( AvahiClient_FOUND )
if ( TcpWrap_FOUND )
  target_link_libraries ( obexpushd
    ${TcpWrap_LIBRARIES}
  )
endif ( TcpWrap_FOUND )

set_property ( TARGET obexpushd PROPERTY
  COMPILE_DEFINITIONS ${obexpushd_DEFINITIONS}
)

install (
  TARGETS obexpushd
  RUNTIME DESTINATION bin
  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
              GROUP_READ             GROUP_EXECUTE
	      WORLD_READ             WORLD_EXECUTE
)

install (
  FILES storage/file_storage.sh
  DESTINATION ${DOCUMENTATION_INSTALL_DIR}/examples
  PERMISSIONS OWNER_READ OWNER_WRITE
              GROUP_READ
	      WORLD_READ
)

set ( CPACK_PACKAGE_EXECUTABLES "obexpushd" )
if ( UNIX )
  set ( CPACK_STRIP_FILES "bin/obexpushd" )
endif ( UNIX )

=== src/x-obex/CMakeLists.txt ===
project ( x-obex C )

option ( BUILD_X_OBEX_SHARED_LIBS "Build the x-obex libraries as shared libraries" OFF )
if ( BUILD_X_OBEX_SHARED_LIBS )
  set ( X_OBEX_BUILD_TYPE SHARED )
else ( BUILD_X_OBEX_SHARED_LIBS )
  set ( X_OBEX_BUILD_TYPE STATIC )
endif ( BUILD_X_OBEX_SHARED_LIBS )

if ( NOT CMAKE_BUILD_TYPE )
  set ( CMAKE_BUILD_TYPE Release
        CACHE STRING "" FORCE )
endif ( NOT CMAKE_BUILD_TYPE )

if (WIN32 AND NOT UNIX)
  link_libraries ( shlwapi )
endif (WIN32 AND NOT UNIX)

set ( obex-capability_VERSION 0.1.0 )
set ( obex-capability_SOVERSION 0 )
set ( obex-capability_PRIVATE_HEADER obex-capability.h )

set ( obex-folder-listing_VERSION 1.0.0 )
set ( obex-folder-listing_SOVERSION 0 )
set ( obex-folder-listing_PRIVATE_HEADER obex-folder-listing.h )

foreach ( lib capability folder-listing )
  add_library ( obex-${lib} ${X_OBEX_BUILD_TYPE}
    obex-${lib}.c
  )
  foreach ( property VERSION SOVERSION PRIVATE_HEADER )
    if ( DEFINED obex-${lib}_${property} )
      set_property ( TARGET obex-${lib} PROPERTY
	${property} ${obex-${lib}_${property}}
      )
    endif ( DEFINED obex-${lib}_${property} )
  endforeach ( property )
  if ( BUILD_X_OBEX_SHARED_LIBS )
    install (
      TARGETS obex-${lib}
      RUNTIME        DESTINATION bin
      LIBRARY        DESTINATION lib
      ARCHIVE        DESTINATION lib
      PRIVATE_HEADER DESTINATION include/x-obex
      PERMISSIONS OWNER_READ OWNER_WRITE
                  GROUP_READ
                  WORLD_READ
    )
  endif ( BUILD_X_OBEX_SHARED_LIBS )
endforeach ( lib )

foreach ( app folder-listing )
  add_executable ( obex-${app}-app
    obex-${app}-app.c
  )
  set_property ( TARGET obex-${app}-app PROPERTY
    OUTPUT_NAME obex-${app}
  )
  install (
    TARGETS obex-${app}-app
    RUNTIME DESTINATION bin
    PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
                GROUP_READ             GROUP_EXECUTE
	        WORLD_READ             WORLD_EXECUTE
  )
  target_link_libraries ( obex-${app}-app
    obex-${app}
  )
endforeach ( app )

=== debian/changelog ===
obexpushd (0.10.2-1) unstable; urgency=low

  * New upstream release (Closes: #531355).
  * New maintainer (Closes: #529671).
  * Source format to 3.0 (quilt).
  * Standards-Version to 3.8.4.
  * debhelper compatibility to 7.
  * d/rules: switched to cdbs class for cmake (Closes: #458731).
  * d/copyright: converted to DEP-5 format.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 23 May 2010 21:49:16 +0200

obexpushd (0.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS by including <limits.h> in src/get.c (Closes: #490675, #527726)

 -- Filippo Giunchedi <filippo@debian.org>  Sun, 07 Jun 2009 19:18:07 +0200

obexpushd (0.7-1) unstable; urgency=low

  * New upstream release
  * Updated package to use CDBS.
  * debian/control:
    - Standards-Version: 3.7.3
    - Updated "Homepage:" pseudo-header as Reference 1.14.6.
    - Added cdbs build-dependence.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Wed, 26 Dec 2007 16:50:59 -0200

obexpushd (0.6-1) unstable; urgency=low

  * New upstream release
  * debian/control: Added "cmake" build dependence.
  * debian/watch: updated.
  * Fixed segfaults when run with -d switch. (Closes: #448169)

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Sat, 03 Nov 2007 02:07:38 +0000

obexpushd (0.5-4) unstable; urgency=low

  * New mantainer. (Closes: #441632)
  * control: Added Homepage.
  * watch: Updated.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Fri, 21 Sep 2007 21:11:17 -0300

obexpushd (0.5-3) unstable; urgency=low

  * Fix crash with SE phones (closes: #432577)
  * Do not ignore error from $(MAKE) in clean target, fixes lintian warning

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Wed, 11 Jul 2007 01:49:42 +0200

obexpushd (0.5-2) unstable; urgency=low

  * debian/control: s/libbluetooth2-dev/libbluetooth-dev/

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Fri, 01 Jun 2007 00:26:37 +0200

obexpushd (0.5-1) unstable; urgency=low

  * New upstream release
  * Fix gcc warning on 64-bit machines

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Fri, 01 Jun 2007 00:00:28 +0200

obexpushd (0.4+svn10-2) unstable; urgency=low

  * Apply patch from Hendrik Sattler to fix failure to receive files from
    SE K700i phones (closes: #401203)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat,  2 Dec 2006 20:37:00 +0100

obexpushd (0.4+svn10-1) unstable; urgency=low

  * New upstream SVN snapshot
    - Fixed arbitrary command execution vulnerability (closes: #397297)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Tue,  7 Nov 2006 23:12:15 +0100

obexpushd (0.4-3) unstable; urgency=low

  * Fixed calls to function obex_auth_unpack_response(), that was changed in
    version 0.4-2

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat,  4 Nov 2006 22:27:30 +0100

obexpushd (0.4-2) unstable; urgency=low

  * Applied patch from upstream SVN to fix FTBFS on 64-bit architectures
    (closes: #397015)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat,  4 Nov 2006 22:05:42 +0100

obexpushd (0.4-1) unstable; urgency=low

  * New upstream release
  * Build-depend on xmlto instead of xsltproc and docbook-x{xl,ml}
  * debian/copyright: updated with new source location
    (http://sf.net/projects/obexpushd)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Fri,  3 Nov 2006 20:43:15 +0100

obexpushd (0.3-3) unstable; urgency=low

  * Fix "daemonizes to root dir" (closes: #394113)
  * Improved error handling (obexpushd does not segfault anymore if it is
    allready run)
  * Run exit() in child processes after receiving a file 

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Fri, 20 Oct 2006 17:32:42 +0200

obexpushd (0.3-2) unstable; urgency=low

  * Fix typo in short description, thanks to David Liontooth (closes: #391701)
  * Build-depend on docbook-xml to fix warning from xsltproc

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sun,  8 Oct 2006 17:29:05 +0200

obexpushd (0.3-1) unstable; urgency=low

  * New upstream release
  * Fix format string for printf (%d -> %zd) to fix warning on 64-bit
    architectures
  * Install upstream README
  * Build-depend on xsltproc and docbook-xls for building manpage; do not ship
    manapage in debian/

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Fri,  6 Oct 2006 13:21:49 +0200

obexpushd (0.2-1) unstable; urgency=low

  * Initial release (Closes: #389091)

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat, 23 Sep 2006 23:06:44 +0200

=== debian/control ===
Source: obexpushd
Section: comm
Priority: optional
Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
Uploaders: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 7), libopenobex1-dev, libbluetooth-dev,
 pkg-config, xmlto, cmake, cdbs
Standards-Version: 3.8.4
Homepage: http://www.hendrik-sattler.de/devel/obexpushd/

Package: obexpushd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bluez-utils, irda-utils
Description: program for receiving files via Bluetooth or IRDA
 This program can be used to receive files with OBEX protocol
 over Bluetooth or IrDA (infrared) connection. This program
 should work with many mobile devices like PDA's and mobile
 phones.

=== debian/watch ===
version=3
http://www.hendrik-sattler.de/devel/obexpushd/downloads http://www\.hendrik-sattler\.de/downloads/obexpushd/.*/obexpushd-(.*)-source\.tar\.gz

## obexpushd 0.11.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project ( obexpushd NONE )
 
 set ( VERSION_MAJOR 0 )
-set ( VERSION_MINOR 10 )
+set ( VERSION_MINOR 11 )
 set ( VERSION_PATCH 2 )
 set ( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}" )
 if ( VERSION_PATCH GREATER 0 )

=== doc/CMakeLists.txt ===

add_custom_target ( doc )

find_package ( Docbook )
if ( Docbook_FOUND )
  include ( ${Docbook_USE_FILE} )

  set ( OBEXPUSHD_XML_FILE "${CMAKE_CURRENT_SOURCE_DIR}/obexpushd.xml" )

  option (BUILD_HELP_MAN "Build manpage application help files" ON)
  if ( BUILD_HELP_MAN )
    docbook_generate ( manpage "${OBEXPUSHD_XML_FILE}" HELP_MAN_FILES )
    foreach ( file ${HELP_MAN_FILES} )
      list ( APPEND OBEXPUSHD_HELP_FILES ${file} )
      get_filename_component ( fileExt ${file} EXT )
      string ( REGEX REPLACE "^[.]" "" fileExt ${fileExt} )
      install (
	FILES ${CMAKE_CURRENT_BINARY_DIR}/${file}
	DESTINATION ${MANPAGE_INSTALL_DIR}/man${fileExt}
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
	COMPONENT documentation
	OPTIONAL
      )
    endforeach ( file )
  endif ( BUILD_HELP_MAN )

  option (BUILD_HELP_HTML "Build HTML application help files" OFF)
  if ( BUILD_HELP_HTML )
    include ( UseDocbook )
    docbook_generate ( html "${OBEXPUSHD_XML_FILE}" HELP_HTML_FILES )
    foreach ( file ${HELP_HTML_FILES} )
      list ( APPEND OBEXPUSHD_HELP_FILES ${file} )
      install (
	FILES ${CMAKE_CURRENT_BINARY_DIR}/${file}
	DESTINATION ${DOCUMENTATION_INSTALL_DIR}/html
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
	COMPONENT documentation
	OPTIONAL
      )
    endforeach ( file )
  endif ( BUILD_HELP_HTML )

  if ( OBEXPUSHD_HELP_FILES )
    add_custom_target ( obexpushd-doc DEPENDS ${OBEXPUSHD_HELP_FILES} )
    add_dependencies ( obexpushd obexpushd-doc )
    add_dependencies ( doc obexpushd-doc )
  endif ( OBEXPUSHD_HELP_FILES )
endif ( Docbook_FOUND )

=== src/CMakeLists.txt ===
#
# ObexPush server daemon
#
list ( APPEND obexpushd_SOURCES
  obexpushd.c
  checks.c
  utf.c
  pipe.c
  action/core.c
  action/connect.c
  action/disconnect.c
  action/get.c
  action/put.c
  action/setpath.c
  auth/core.c
  auth/file.c
  io/core.c
  io/internal/common.c
  io/internal/file.c
  io/internal/dir.c
  io/internal/caps.c
  io/script.c
  net/core.c
  net/btobex.c
  net/publish/sdp.c
  net/irobex.c
  net/fdobex.c
  net/fdobex_ctrans.c
)

set ( OBEXPUSHD_VERSION ${VERSION} )
set ( OBEXPUSH_ATD_VERSION 1.0 )
configure_file (
  ${CMAKE_CURRENT_SOURCE_DIR}/version.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory ( obex_auth )
list ( APPEND obexpushd_LIBRARIES obex_auth )

add_subdirectory ( x-obex )
list ( APPEND obexpushd_LIBRARIES
  obex-capability
  obex-folder-listing
)

#
# Configure USB gadget support (Linux only)
#
set ( ENABLE_USB_GADGET_SUPPORT OFF )
if ( CMAKE_SYSTEM_NAME STREQUAL "Linux" )
  set ( ENABLE_USB_GADGET_SUPPORT ON )
endif ( CMAKE_SYSTEM_NAME STREQUAL "Linux" )
if ( ENABLE_USB_GADGET_SUPPORT )
  list ( APPEND obexpushd_DEFINITIONS USB_GADGET_SUPPORT )
  list ( APPEND obexpushd_SOURCES
    net/usbgobex.c
    net/usbgobex_ctrans.c
  )
endif ( ENABLE_USB_GADGET_SUPPORT )

#
# Posix spawn is the preferred way to use the script support
#
option ( USE_SPAWN "Use POSIX spawn function instead of fork+exec" ON )
if ( USE_SPAWN )
  list ( APPEND DEFINITIONS USE_SPAWN )
endif ( USE_SPAWN )

#
# Concurrency can be done using threads (preferred) or processes
#
option ( USE_THREADS "Use POSIX threads instead of fork (if supported by system)" ON )
if ( USE_THREADS )
  find_package ( Threads )
  if ( Threads_FOUND AND CMAKE_USE_PTHREADS_INIT )
    list ( APPEND obexpushd_DEFINITIONS USE_THREADS )
    if ( CMAKE_THREAD_LIBS_INIT )
      list ( APPEND obexpushd_LIBRARIES ${CMAKE_THREAD_LIBS_INIT} )
    endif ( CMAKE_THREAD_LIBS_INIT )
  endif ( Threads_FOUND AND CMAKE_USE_PTHREADS_INIT )
endif ( USE_THREADS )

#
# TcpWrapper can be used for access control
#
option ( ENABLE_TCPWRAP "Use the tcp wrapper library to check for restrictions on incoming connections" ON )
if ( ENABLE_TCPWRAP )
  find_package ( TcpWrap )
endif ( ENABLE_TCPWRAP )
if ( TcpWrap_FOUND )
  include_directories ( ${TcpWrap_INCLUDE_DIRS} )
  list ( APPEND obexpushd_DEFINITIONS ENABLE_TCPWRAP )
  list ( APPEND obexpushd_LIBRARIES ${TcpWrap_LIBRARIES} )
endif ( TcpWrap_FOUND )

#
# Extended Attributes can be used for mime type storage
#
find_package( Attr QUIET )
if (Attr_FOUND)
  include_directories ( ${Attr_INCLUDE_DIRS} )
  list ( APPEND obexpushd_DEFINITIONS USE_XATTR )
  list ( APPEND obexpushd_LIBRARIES ${ATTR_LIBRARIES} )
endif (Attr_FOUND)

#
# Absolute necessary: bluetooth and openobex
#
foreach ( i Bluetooth OpenObex )
  find_package ( ${i} REQUIRED )
  if ( ${i}_FOUND )
    include_directories ( ${${i}_INCLUDE_DIRS} )
    if ( ${i}_LIBRARIES )
      list ( APPEND obexpushd_LIBRARIES ${${i}_LIBRARIES} )
    endif ( ${i}_LIBRARIES )
  endif ( ${i}_FOUND )
endforeach ( i )

#
# Check if openobex has TcpObex or the old InObex
#
if ( OpenObex_HAVE_TcpObex )
  list ( APPEND obexpushd_DEFINITIONS OPENOBEX_TCPOBEX=1 )
  list ( APPEND obexpushd_SOURCES net/tcpobex.c )
else ( OpenObex_HAVE_TcpObex )
  list ( APPEND obexpushd_SOURCES net/inobex.c )
endif ( OpenObex_HAVE_TcpObex )

#
# The ObexPushD command line front-end
#
add_executable ( obexpushd ${obexpushd_SOURCES} )
target_link_libraries ( obexpushd ${obexpushd_LIBRARIES} )
list ( APPEND obexpushd_DEFINITIONS DEFINITIONS )
set_property ( TARGET obexpushd PROPERTY
  COMPILE_DEFINITIONS ${obexpushd_DEFINITIONS}
)

#
# The wrapper around ObexPushD to handle AT commands
#
add_executable (obexpush_atd obexpush_atd.c )
set_property ( TARGET obexpush_atd PROPERTY
  COMPILE_DEFINITIONS ${DEFINITIONS}
)

install (
  TARGETS obexpushd obexpush_atd
  RUNTIME DESTINATION bin
  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
              GROUP_READ             GROUP_EXECUTE
	      WORLD_READ             WORLD_EXECUTE
)

install (
  FILES storage/file_storage.sh
  DESTINATION ${DOCUMENTATION_INSTALL_DIR}/examples
  PERMISSIONS OWNER_READ OWNER_WRITE
              GROUP_READ
	      WORLD_READ
)

set ( CPACK_PACKAGE_EXECUTABLES "obexpushd" )
if ( UNIX )
  set ( CPACK_STRIP_FILES "bin/obexpushd" )
endif ( UNIX )

=== src/obex_auth/CMakeLists.txt ===

set(SOURCES
  core.c
  md5.c
  obex_auth.c
)
set(HEADERS
  md5.h
  obex_auth.h
)

add_library(obex_auth STATIC
  ${SOURCES}
  ${HEADERS}
)

=== src/x-obex/CMakeLists.txt ===
--- 
+++ 
@@ -24,11 +24,24 @@
 set ( obex-folder-listing_SOVERSION 0 )
 set ( obex-folder-listing_PRIVATE_HEADER obex-folder-listing.h )
 
+#
+# Extended Attributes can be used for mime type storage
+#
+find_package( Attr QUIET )
+if (Attr_FOUND)
+  include_directories ( ${Attr_INCLUDE_DIRS} )
+  list ( APPEND obex-folder-listing_COMPILE_DEFINITIONS USE_XATTR )
+  list ( APPEND obex-folder-listing_LIBRARIES ${ATTR_LIBRARIES} )
+endif (Attr_FOUND)
+
 foreach ( lib capability folder-listing )
   add_library ( obex-${lib} ${X_OBEX_BUILD_TYPE}
     obex-${lib}.c
   )
-  foreach ( property VERSION SOVERSION PRIVATE_HEADER )
+  if ( obex-${lib}_LIBRARIES )
+    target_link_libraries ( obex-${lib} ${obex-${lib}_LIBRARIES} )
+  endif ( obex-${lib}_LIBRARIES )
+  foreach ( property VERSION SOVERSION PRIVATE_HEADER COMPILE_DEFINITIONS )
     if ( DEFINED obex-${lib}_${property} )
       set_property ( TARGET obex-${lib} PROPERTY
 	${property} ${obex-${lib}_${property}}

=== debian/changelog ===
obexpushd (0.11.2-6) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with CMake 4. (Closes: #1113338)

 -- Adrian Bunk <bunk@debian.org>  Sun, 26 Oct 2025 23:37:17 +0200

obexpushd (0.11.2-5) unstable; urgency=medium

  * QA upload.

  * Added 1000-glibc-sys-xattr.patch to switch to <sys/xattr.h>
    (Closes: #953934).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 Oct 2024 08:18:59 +0200

obexpushd (0.11.2-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.2 to 4.7.0.
  * Used wrap-and-sort -at for debian control files
  * Replaced obsolete pkg-config build dependency with pkgconf.
  * Trimmed trailing whitespace.
  * Changed to versioned copyright format URI.
  * Updated copyright file header to use current field names.
  * Dropped fields with obsolete URLs.
  * Bumped debhelper from deprecated 7 to 10.
  * Replaced spaces in short license names with dashes.
  * Removed unnecessary get-orig-source-target.
  * Corrected d/copyright formatting.
  * Switched d/rules to simple dh and move to debhelper level 13.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 10 May 2024 23:04:25 +0200

obexpushd (0.11.2-3) unstable; urgency=medium

  * QA upload.
  * Drop IrDA support which was dropped from Linux. (Closes: #906496)

 -- Bastian Germann <bage@debian.org>  Tue, 29 Aug 2023 18:29:04 +0200

obexpushd (0.11.2-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #856738)

 -- Marcos Talau <talau@debian.org>  Wed, 09 Nov 2022 15:21:49 -0300

obexpushd (0.11.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change build-dep on libopenobex1-dev by libopenobex2-dev.  Closes: #813578

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 07 Feb 2016 13:53:47 +0000

obexpushd (0.11.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards Version to 3.9.2 (no changes).
  * Add 01errno patch.
  * Update homepage and watchfile.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 08 Aug 2011 02:55:21 +0200

obexpushd (0.11.1-1) experimental; urgency=low

  * New upstream release.
    + Fix NULL pointer dereference (Closes: #592270).
  * Standards-Version to 3.9.1.
  * d/copyright: Fixed md5.c path.
  * Removed Ola Lundqvist from Uploaders.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 08 Aug 2011 01:57:03 +0200

=== debian/control ===
Source: obexpushd
Section: comm
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libbluetooth-dev,
               libopenobex2-dev,
               pkgconf,
               xmlto,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/obexpushd
Vcs-Git: https://salsa.debian.org/debian/obexpushd.git

Package: obexpushd
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: bluez-utils,
Description: program for receiving files via Bluetooth
 This program can be used to receive files with OBEX protocol
 over Bluetooth connection. This program
 should work with many mobile devices like PDA's and mobile
 phones.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

execute_after_dh_install:
	rm -f $(CURDIR)/debian/obexpushd/usr/share/doc/obexpushd/LICENSE
	rm -f $(CURDIR)/debian/obexpushd/usr/share/doc/obexpushd/GPLv2.txt

=== debian/watch ===
version=3
http://www.hendrik-sattler.de/downloads/obexpushd/([\d\.]+)/obexpushd-(.+)-source.tar.gz
